Search Gradle plugins

Version 0.1 (latest)

Created 07 December 2019.

Gives an ability to declare sub-project dependencies easier, from the root project.

Using the plugins DSL:

plugins {
  id "io.github.alexiyorlov.gradle.subdeps" version "0.1"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "io.github.alexiyorlov:gradle-subproject-deps:0.1"
  }
}

apply plugin: "io.github.alexiyorlov.gradle.subdeps"

Using the plugins DSL:

plugins {
  id("io.github.alexiyorlov.gradle.subdeps") version "0.1"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("io.github.alexiyorlov:gradle-subproject-deps:0.1")
  }
}

apply(plugin = "io.github.alexiyorlov.gradle.subdeps")

Learn how to apply plugins to subprojects